=== debian/control ===
Source: ros-rolling-libstatistics-collector
Section: misc
Priority: optional
Maintainer: ROS Tooling Working Group <ros-tooling@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest, ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-performance-test-fixture, ros-rolling-rcl, ros-rolling-rcpputils, ros-rolling-rosidl-default-generators, ros-rolling-statistics-msgs, ros-rolling-std-msgs, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-libstatistics-collector
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-rcl, ros-rolling-rcpputils, ros-rolling-rosidl-default-runtime, ros-rolling-statistics-msgs, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: Lightweight aggregation utilities to collect statistics and measure message metrics.
