=== debian/changelog ===
ros-rolling-libstatistics-collector (1.6.2-1jammy) jammy; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-libstatistics-collector (1.6.1-1jammy) jammy; urgency=high

  * Add in missing cstdint include. (#165 <https://github.com/ros-tooling/libstatistics_collector/issues/165>)
  * Contributors: Chris Lalancette

 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-libstatistics-collector (1.6.0-1jammy) jammy; urgency=high

  * Bump codecov/codecov-action from 3.1.2 to 3.1.3
  * Contributors: dependabot[bot]

 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Fri, 28 Apr 2023 00:00:00 -0000

ros-rolling-libstatistics-collector (1.5.1-1jammy) jammy; urgency=high

  * Bump hmarr/auto-approve-action from 3.2.0 to 3.2.1
  * Mark benchmark _ as unused. (#158 <https://github.com/ros-tooling/libstatistics_collector/issues/158>)
  * Bump hmarr/auto-approve-action from 3.1.0 to 3.2.0
  * Bump ros-tooling/action-ros-ci from 0.2 to 0.3
  * Bump pascalgn/automerge-action from 0.15.5 to 0.15.6
  * Contributors: Chris Lalancette, dependabot[bot]

 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-libstatistics-collector (1.5.0-1jammy) jammy; urgency=high

  * Update libstatistics_collector to C++17. (#154 <https://github.com/ros-tooling/libstatistics_collector/issues/154>)
  * Contributors: Chris Lalancette

 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-libstatistics-collector (1.4.0-1jammy) jammy; urgency=high



 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Mon, 07 Nov 2022 00:00:00 -0000

ros-rolling-libstatistics-collector (1.2.1-1jammy) jammy; urgency=high

  * Remove unnecessary build dependency on std_msgs. (#145 <https://github.com/ros-tooling/libstatistics_collector/issues/145>)
  * Bump pascalgn/automerge-action from 0.15.2 to 0.15.3
  * Cleanup the CI jobs on this repository. (#146 <https://github.com/ros-tooling/libstatistics_collector/issues/146>)
  * Check if message has a "header" field with a stamp subfield of type builtin_interfaces::msg::Time (#54 <https://github.com/ros-tooling/libstatistics_collector/issues/54>)
  * Mirror rolling to master
  * Contributors: Audrow Nash, Chris Lalancette, Scott Mende, dependabot[bot]

 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-libstatistics-collector (1.2.0-1jammy) jammy; urgency=high

  * Bump pascalgn/automerge-action from 0.14.3 to 0.15.2
  * Bump ros-tooling/setup-ros from 0.2.2 to 0.3.0
  * Bump actions/upload-artifact from 2.3.1 to 3
  * Bump actions/upload-artifact from 2.2.4 to 2.3.1
  * Bump actions/checkout from 2 to 3
  * Bump ros-tooling/setup-ros from 0.2.1 to 0.2.2 (#123 <https://github.com/ros-tooling/libstatistics_collector/issues/123>)
  * Install includes to include/${PROJECT_NAME} (#122 <https://github.com/ros-tooling/libstatistics_collector/issues/122>)
  * Bump codecov/codecov-action from 2.0.3 to 2.1.0
  * Bump pascalgn/automerge-action from 0.14.2 to 0.14.3
  * Bump codecov/codecov-action from 2.0.2 to 2.0.3
  * Use rosidl_get_typesupport_target() (#116 <https://github.com/ros-tooling/libstatistics_collector/issues/116>)
  * Bump codecov/codecov-action from 2.0.1 to 2.0.2
  * Bump codecov/codecov-action from 1.5.2 to 2.0.1
  * Bump actions/upload-artifact from 1 to 2.2.4
  * Bump codecov/codecov-action from 1.5.1 to 1.5.2
  * Remove cloudwatch reporting (#110 <https://github.com/ros-tooling/libstatistics_collector/issues/110>)
  * Bump codecov/codecov-action from 1.3.1 to 1.5.1
  * Bump ros-tooling/setup-ros from 0.2.0 to 0.2.1
  * Bump pascalgn/automerge-action from 0.14.1 to 0.14.2
  * Bump ros-tooling/setup-ros from 0.1 to 0.2.0
  * Bump pascalgn/automerge-action from 0.13.1 to 0.14.1
  * Fix autoapprove
  * Package.json explicitly owned by emerson to minimize notifications
  * Replace index.ros.org links -> docs.ros.org. (#94 <https://github.com/ros-tooling/libstatistics_collector/issues/94>)
  * Bump hmarr/auto-approve-action from v2.0.0 to v2.1.0
  * Bump codecov/codecov-action from v1.2.1 to v1.3.1
  * Use latest versions of CI actions (#92 <https://github.com/ros-tooling/libstatistics_collector/issues/92>)
  * Contributors: Chris Lalancette, Emerson Knapp, Shane Loretz, dependabot[bot]

 -- ROS Tooling Working Group <ros-tooling@googlegroups.com>  Tue, 29 Mar 2022 00:00:00 -0000

ros-rolling-libstatistics-collector (1.1.0-1jammy) jammy; urgency=high

  * fix: measured values after the decimal point are truncated #79 <https://github.com/ros-tooling/libstatistics_collector/issues/79> (#80 <https://github.com/ros-tooling/libstatistics_collector/issues/80>)
  * Update linter to run on rolling+focal (#81 <https://github.com/ros-tooling/libstatistics_collector/issues/81>)
  * Add automerge.yml config file (#70 <https://github.com/ros-tooling/libstatistics_collector/issues/70>)
  * Update QD to QL 1 (#68 <https://github.com/ros-tooling/libstatistics_collector/issues/68>)
  * Updated QD (#64 <https://github.com/ros-tooling/libstatistics_collector/issues/64>)
  * Updated QD Performance tests (#58 <https://github.com/ros-tooling/libstatistics_collector/issues/58>)
  * Added benchmark test to libstatistics_collector (#57 <https://github.com/ros-tooling/libstatistics_collector/issues/57>)
    * Added benchmark test to libstatistics_collector
    * cppcheck supressed unknown macro warning - macos
    * Reset heap counters
    * Added feedback
    * Remove unknownMacro suppression from CMakeLists.txt
    * Added feedback
    * moved benchmark test to test/benchmark
    * Added feedback
    Co-authored-by: Devin Bonnie <mailto:47613035+dabonnie@users.noreply.github.com>
  * Report failed workflows (#56 <https://github.com/ros-tooling/libstatistics_collector/issues/56>)

